<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_businesstrip international.png">Business Trip International</h2>
<div class="card formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="bussinesForm" (ngSubmit)="onSubmit($event)" #businessFormEl="ngForm">
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Start Date</mat-label>

                        <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="startDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                        <mat-error *ngIf="bussinesForm.controls['startDate'].errors?.required &&
            bussinesForm.controls['startDate'].touched">
                            Please Select Start Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>End Date</mat-label>
                        <input matInput (click)="picker.open()" [matDatepicker]="picker" formControlName="endDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                        <mat-error *ngIf="bussinesForm.controls['endDate'].errors?.required &&
            bussinesForm.controls['endDate'].touched">
                            Please Select End Date.
                        </mat-error>

                    </mat-form-field>
                    <p class="error" *ngIf="dateError">
                        Please Select End Date Greaterthan Start Date.
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Country</mat-label>
                        <mat-select formControlName="country" required>
                            <mat-option *ngFor="let cat of CountryList;let i=index;" [value]="cat">{{cat}}</mat-option>

                        </mat-select>
                        <mat-error *ngIf="bussinesForm.controls['country'].errors?.required &&
            bussinesForm.controls['country'].touched">
                            Please Select Country.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Per Diem</mat-label>
                        <mat-select formControlName="perDiem" required>
                            <mat-option value="DIEM_KINGDOM">DIEM_KINGDOM</mat-option>

                        </mat-select>
                        <mat-error *ngIf="bussinesForm.controls['perDiem'].errors?.required &&
              bussinesForm.controls['perDiem'].touched">
                            Please Select Per Diem.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Air Ticket</mat-label>
                        <mat-select formControlName="airTicket" required>
                            <mat-option value="Yes">Yes</mat-option>
                            <mat-option value="No">No</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Mobile No.</mat-label>
                        <input matInput type="number" formControlName="mobileNumber" maxlength="12" required autocomplete="off" />
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Routing</mat-label>
                        <textarea matInput maxlength="120" formControlName="routing" required></textarea>
                        <mat-error *ngIf="bussinesForm.controls['routing'].errors?.required &&
              bussinesForm.controls['routing'].touched">
                            Please Enter routing.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Notes</mat-label>
                        <textarea matInput maxlength="120" formControlName="notes" required></textarea>
                        <mat-error *ngIf="bussinesForm.controls['notes'].errors?.required &&
              bussinesForm.controls['notes'].touched">
                            Please Enter Notes.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div> <br>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Exit Entry Visa</mat-label>
                        <mat-select formControlName="exitEntryVisa">
                            <mat-option value="Yes">Yes</mat-option>
                            <mat-option value="No">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="bussinesForm.controls['exitEntryVisa'].errors?.required &&
            bussinesForm.controls['exitEntryVisa'].touched">
                            Please Select Exit Entry Visa.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Passport Number</mat-label>
                        <input matInput type="text" formControlName="passportNumber" maxlength="20" required autocomplete="off" />
                        <mat-error *ngIf="bussinesForm.controls['passportNumber'].errors?.required &&
            bussinesForm.controls['passportNumber'].touched">
                            Please Enter Passport Number.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Passport Expiry Date</mat-label>

                        <input matInput (click)="picker2.open()" [matDatepicker]="picker2" formControlName="passportExpiryDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                        <mat-error *ngIf="bussinesForm.controls['passportExpiryDate'].errors?.required &&
            bussinesForm.controls['passportExpiryDate'].touched">
                            Please Select Passport Expiry Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Date of Birth</mat-label>
                        <input matInput (click)="picker3.open()" [matDatepicker]="picker3" formControlName="dateOfBirth" required>
                        <mat-datepicker-toggle matSuffix [for]="picker3"></mat-datepicker-toggle>
                        <mat-datepicker #picker3></mat-datepicker>
                        <mat-error *ngIf="bussinesForm.controls['dateOfBirth'].errors?.required &&
            bussinesForm.controls['dateOfBirth'].touched">
                            Please Select Date of Birth.
                        </mat-error>

                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Ticket Departure Date</mat-label>

                        <input matInput (click)="picker4.open()" [matDatepicker]="picker4" formControlName="ticketDepatureDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker4"></mat-datepicker-toggle>
                        <mat-datepicker #picker4></mat-datepicker>
                        <mat-error *ngIf="bussinesForm.controls['ticketDepatureDate'].errors?.required &&
            bussinesForm.controls['ticketDepatureDate'].touched">
                            Please Select Ticket Departure Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Ticket Return Date</mat-label>
                        <input matInput (click)="picker5.open()" [matDatepicker]="picker5" formControlName="ticketReturnDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker5"></mat-datepicker-toggle>
                        <mat-datepicker #picker5></mat-datepicker>
                        <mat-error *ngIf="bussinesForm.controls['ticketReturnDate'].errors?.required &&
            bussinesForm.controls['ticketReturnDate'].touched">
                            Please Select Return Date.
                        </mat-error>

                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Name on Passport</mat-label>
                        <input matInput type="text" maxlength="150" formControlName="passportName" required autocomplete="off" />
                        <mat-error *ngIf="bussinesForm.controls['passportName'].errors?.required &&
              bussinesForm.controls['passportName'].touched">
                            Please Enter Name on Passport.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Reason</mat-label>
                        <input matInput type="text" formControlName="reason" required autocomplete="off" />
                        <mat-error *ngIf="bussinesForm.controls['reason'].errors?.required &&
              bussinesForm.controls['reason'].touched">
                            Please Enter reason.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div><br>
            <div class="button-grp">
                <button type="reset" mat-raised-button class="button button-secondary">Reset</button>
                <button mat-raised-button  [disabled]="!bussinesForm.valid" class="button button-primary"> Submit</button>
              </div>
        </form>
    </div>
</div>